<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NukeSentinel(tm)                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/

if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}

if(!isset($xpage_delay)) { $xpage_delay = 5; }
$admin_list = explode("\r\n", $xadmin_contact);
sort($admin_list);
$xadmin_contact = implode("\r\n", $admin_list);
absave_config("admin_contact",$xadmin_contact);
absave_config("block_perpage",$xblock_perpage);
absave_config("block_sort_column",$xblock_sort_column);
absave_config("block_sort_direction",$xblock_sort_direction);
absave_config("crypt_salt",$xcrypt_salt);
absave_config("display_link",$xdisplay_link);
absave_config("display_reason",$xdisplay_reason);
absave_config("force_nukeurl",$xforce_nukeurl);
absave_config("flood_delay_post",$xflood_delay_post);
absave_config("flood_delay_get",$xflood_delay_get);
absave_config("help_switch",$xhelp_switch);
absave_config("htaccess_path",$xhtaccess_path);
absave_config("http_auth",$xhttp_auth);
absave_config("lookup_link",$xlookup_link);
absave_config("page_delay",$xpage_delay);
absave_config("prevent_dos",$xprevent_dos);
absave_config("proxy_reason",$xproxy_reason);
absave_config("proxy_switch",$xproxy_switch);
absave_config("santy_protection",$xsanty_protection);
absave_config("self_expire",$xself_expire);
absave_config("site_reason",$xsite_reason);
absave_config("site_switch",$xsite_switch);
absave_config("staccess_path",$xstaccess_path);
absave_config("track_active",$xtrack_active);
absave_config("track_max",$xtrack_max);
absave_config("track_perpage",$xtrack_perpage);
absave_config("track_sort_column",$xtrack_sort_column);
absave_config("track_sort_direction",$xtrack_sort_direction);
redirect_url("".$admin_file.".php?op=ABMain");
